<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Программист - Википедия</title>
    <link rel="stylesheet" href="css/styles.css">
</head>

<body>

<div class="container">


    <div class="navbar navbar_1st_up">
        <img src="pics/wiki1.jpg">

        <div class="margin_top_20px border_bottom_nav_menu">
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Заглавная страница</a>
            </div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Рубрикация</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Указатель А — Я</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Избранные статьи</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Случайная статья</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Текущие события</a></div>
            <br>
            <span class="navbar_header_color">Участие</span>
        </div>


        <div class=" border_bottom_nav_menu">
            <div class="margin_top_3px padding_top_3px"><a href="" class="without_underline link_color_blue ">Сообщить
                об ошибке</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Сообщество</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Форум</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Свежие правки</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Новые страницы</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Справка</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Пожертвовать</a></div>
            <br>
            <span class="navbar_header_color">Инструменты</span>
        </div>


        <div class=" border_bottom_nav_menu">
            <div class="margin_top_3px padding_top_3px"><a href="" class="without_underline link_color_blue ">Ссылки
                сюда</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Связанные правки</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Спецстраницы</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Постоянная ссылка</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Сведения о странице</a>
            </div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Цитировать страницу</a>
            </div>
            <br>
            <span class="navbar_header_color">Печать/экспорт</span>
        </div>

        <div class=" border_bottom_nav_menu">
            <div class="margin_top_3px padding_top_3px"><a href="" class="without_underline link_color_blue ">Создать
                книгу</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Скачать как PDF</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Версия для печати</a></div>
            <br>
            <span class="navbar_header_color">В других проектах</span>
        </div>

        <div class=" border_bottom_nav_menu">
            <div class="margin_top_3px padding_top_3px"><a href=""
                                                           class="without_underline link_color_blue ">Викисклад</a>
            </div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Викицитатник</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Элемент Викиданных</a>
            </div>
            <br>
            <span class="navbar_header_color">На других языках <img style="padding-left: 10px; padding-bottom: 3px"
                                                                    src="pics/shesterenka.jpg"></span>
        </div>

        <div>
            <div class="margin_top_3px padding_top_3px"><a href=""
                                                           class="without_underline link_color_blue ">Беларуская</a>
            </div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Български</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">English</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Български</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">日本語</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Polski</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Română</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Русиньскый</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Türkçe</a></div>
            <div class="margin_top_3px"><a href="" class="without_underline link_color_blue">Українська</a></div>
            <div class="margin_top_3px">
                <button class="font_size_16px"><img align="center" src="pics/XA.jpg">Ещё 39</button>
            </div>
            <span class="navbar_header_color padding_left"><img class="margin_top_3px" src="pics/pencil.jpg">Править ссылки</span>
        </div>

    </div>

    <div class="header">

        <div class="header_left_nav_menu "><a href="" class="without_underline link_color_blue left_border_statya"
                                              style="padding-left: 6px"> Статья </a></div>
        <div class="header_left_nav_menu"><a href="" class="without_underline link_color_blue"> Обсуждение </a></div>

        <div class="header_right_up_menu_top">

            <div><a href="" class="without_underline link_color_blue marging-right_6px header_ru_menu_1_float">Войти</a>
            </div>
            <div><a href="" class="without_underline link_color_blue marging-right_6px header_ru_menu_1_float">Создать
                учётную запись</a></div>
            <div><a href="" class="without_underline link_color_blue marging-right_6px header_ru_menu_1_float">Вклад</a>
            </div>
            <div><a href="" class="without_underline link_color_blue marging-right_6px header_ru_menu_1_float">Обсуждение</a>
            </div>
            <div class="inline-block marging-right_6px grey_color header_ru_menu_1_float"><img src="pics/user_login.jpg"
                                                                                               class="marging-right_3px">Вы
                не представились системе
            </div>

        </div>

        <div class="header_right_down_nav_menu">

            <div class=" inline-block margin_2px left_border  header_rd_nav_menu ">
                <a href="" class="without_underline link_color_blue" style="padding-left: 6px"> Читать </a></div>

            <div class=" inline-block margin_2px header_rd_nav_menu">
                <a href="" class="without_underline link_color_blue"> Править </a></div>

            <div class=" inline-block margin_2px header_rd_nav_menu">
                <a href="" class="without_underline link_color_blue"> Править код </a></div>

            <div class=" inline-block margin_2px header_rd_nav_menu">
                <a href="" class="without_underline link_color_blue"> История </a></div>

        </div>

    </div>


    <div class="content">

        <div>

            <div class="border_bottom_programmist">
                <h1>Программист</h1>
            </div>

            <h4>Материал из Википедии — свободной энциклопедии</h4>

            <div class="edit_1">
                [
                <div class="inline-block"><a href="" class="without_underline link_color_blue"> править </a></div>
                |
                <div class="inline-block"><a href="" class="without_underline link_color_blue"> править код</a></div>
                ]
            </div>

            <div class="yandex_office">
                <img src="pics/yandexOfiice.jpg">
                <br>Программисты в офисе "<a href="" class="without_underline link_color_blue">Яндекса</a>"

            </div>

            <div>
                <span class="boldtext">Программист</span> — специалист, занимающийся непосредственной разработкой
                программного обеспечения для различного рода вычислительно-операционных систем.
            </div>

            <div class=" margin_top_10px table_content padding_bottom">

                <div class="boldtext text_align_center">
                    Содержание [<a href="" class="without_underline link_color_blue">скрыть</a>]
                </div>

                <ul>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Место
                        программирования в обществе</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Образование</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Самообразование</a>
                    </li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue">
                        Словоупотребление</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Прикладные и
                        системные программисты</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> История</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Профессиональный
                        праздник</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Интересные факты</a>
                    </li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Примечания</a></li>
                    <li class="numbered_list"><a href="" class="without_underline link_color_blue"> Литература</a></li>
                </ul>
            </div>

            <div class="border_bottom_programmist">
                <h2 class="inline-block marging-right_3px">Место программирования в обществе</h2>
                <div class="inline-block">[<a href="" class="without_underline link_color_blue">править</a> |
                    <a href="" class="without_underline link_color_blue">править код</a>]
                </div>
            </div>
            <p>
                <a href="" class="without_underline link_color_blue">Программирование</a>, как род занятий, может
                являться
                основной профессиональной деятельностью специалиста, либо использоваться в качестве вспомогательной
                деятельности для решения иных профессиональных задач, либо же использоваться в непрофессиональной сфере
                (как
                инструмент решения задач или ради получения удовольствия от процесса программирования). Термин
                «программист»
                не обязательно подразумевает профессиональное образование или профессиональную деятельность.
            </p>
        </div>

        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Образование</h2>
            <div class="inline-block">[<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>
        <div>
            <p>Как основная профессиональная деятельность, программирование используется в технической и в научной
                областях.
            </p>

            <p>В технике выделяются: средняя техническая квалификация
                <a href="" class="without_underline page_is_absent">техник-программист</a>
                (ранее «программист-лаборант») и высшая техническая квалификация
                <a href="" class="without_underline link_color_blue">инженер-программист</a>.
                Предметом деятельности специалистов с соответствующей квалификацией
                (техников и инженеров) является проектирование, разработка и производство
                программного обеспечения, как промышленной продукции, удовлетворяющей
                заданным функциональным, конструктивным и технологическим требованиям
                (результатом деятельности является <a href="" class="without_underline link_color_blue">
                    программное обеспечение</a>). В
                России подготовка инженеров-программистов ведётся по профилю
                подготовки «Программное обеспечение вычислительной техники и
                автоматизированных систем» направления «Информатика и вычислительная
                техника»<a href="" class="without_underline x-small_font link_color_blue">[1]</a>.
            </p>

            <p>Существует подготовка математиков-программистов по направлению
                «Математическое обеспечение и администрирование
                информационных систем»<a href="" class="without_underline x-small_font link_color_blue">[2].</a>
            </p>

            <p>В конце 2000-х в России появилось новое направление подготовки
                программистов «Программная инженерия»<a href="" class="without_underline x-small_font link_color_blue">[3]</a>.
                Областью профессиональной
                деятельности выпускников по этому направлению является
                <a href="" class="without_underline link_color_blue">индустриальное
                    производство программного обеспечения</a>. Данное направление подготовки
                отличается от подготовки инженеров-программистов по профилю «Программное
                обеспечение вычислительной техники и автоматизированных систем» тем, что
                общеинженерные дисциплины заменены дисциплинами из новой области знания
                <a href="" class="without_underline link_color_blue">инженерия программного обеспечения</a>. Объектами
                профессиональной деятельности
                инженеров по производству программного обеспечения являются не программы
                и программные комплексы, а методы и инструменты разработки программного
                продукта, а также процессы жизненного цикла программного продукта.
            </p>

            <p>
                Предметом деятельности программистов в науке является решение задач
                с применением методов прикладной математики и реализацией на ЭВМ
                (результатом деятельности является полученное при помощи программы
                решение задачи).
            </p>

            <p>
                В России подготовка специалистов в этой области ведется по следующим
                направлениям:
            </p>

            <ul>
                <li class="li_list_1"><span class="li_span_1">01.03.02 «Прикладная математика и информатика»</span></li>
                <li class="li_list_1"><span class="li_span_1">02.03.02 «Фундаментальная информатика и информационные технологии»</span>
                </li>
                <li class="li_list_1"><span class="li_span_1">02.03.03 «Математическое обеспечение и администрирование информационных систем»</span>
                </li>
                <li class="li_list_1"><span class="li_span_1">09.02.03 «Программирование в компьютерных системах»</span>
                </li>
                <li class="li_list_1"><span class="li_span_1">09.03.01 «Информатика и вычислительная техника»
                    <a href="" class="without_underline x-small_font link_color_blue">[1]</a></span>
                </li>
                <li class="li_list_1"><span class="li_span_1">09.03.02 «Информационные системы и технологии»</span></li>
                <li class="li_list_1"><span class="li_span_1">09.03.03 «Прикладная информатика»</span></li>
                <li class="li_list_1"><span class="li_span_1">09.03.04 «Программная инженерия»
                    <a href="" class="without_underline x-small_font x-small_font link_color_blue">[3]</a></span>
                </li>
                <li class="li_list_1"><span class="li_span_1">10.03.01 «Информационная безопасность»</span></li>
                <li class="li_list_1"><span class="li_span_1">10.05.03 «Информационная безопасность автоматизированных систем»</span>
                </li>
                <li class="li_list_1"><span class="li_span_1">38.03.05 «Бизнес-информатика»</span></li>
            </ul>

            <p>Как вспомогательная деятельность программирование в настоящее время используется в широчайшем круге
                профессий.
            </p>
        </div>

        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Самообразование</h2>
            <div class="inline-block">[<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>

        <div>
            <p>В связи со значительным распространением в современном обществе вычислительной техники и,
                соответственно,
                программирования как рода деятельности в настоящее время потребность в профессиональных программистах в
                развитых
                странах и странах третьего мира значительно превосходит возможности высшего образования по подготовке на
                соответствующих специальностях, при этом предъявляемые квалификационные требования в бизнесе в
                большинстве
                случаев значительно у́же, чем подготовка по специальности в вузе (см. напр.
                <a href="" class="without_underline x-small_font link_color_blue">[4]</a>).
                В связи с этим, очень широко
                распространено самообразование программистов и профессиональная деятельность в области программирования
                без
                получения
                формального образования по соответствующей специальности, а специалистам, получившим программистские
                специальности,
                необходимо постоянно совершенствовать свои знания и умения и оперативно осваивать новые технологии.
            </p>
        </div>

        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Словоупотребление</h2>
            <div class="inline-block">[<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>

        <div>
            <p>Как указано выше, с точки зрения корректной терминологии человек может иметь
                (например) <a href="" class="without_underline link_color_blue">род занятий</a> «программист»,
                <a href="" class="without_underline  link_color_blue">квалификацию</a> «инженер-программист»,
                <a href="" class="without_underline  link_color_blue">специальность</a> «программное обеспечение
                вычислительной техники и автоматизированных
                систем» и <a href="" class="without_underline  link_color_blue">должность</a> «ведущий специалист». В
                разговорной речи, однако, слово «программист» нередко употребляется применительно
                ко всем этим понятиям.
            </p>

            <p>По ошибке программистами порой называют
                <a href="" class="without_underline  link_color_blue">системных администраторов</a> и других
                специалистов
                <a href="" class="without_underline  link_color_blue">ИТ</a>.
            </p>
        </div>

        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Прикладные и системные программисты</h2>
            <div class="inline-block">
                [<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>

        <div>
            <p>В настоящее время, как и ранее широко применяется классификация программистов на прикладных и системных.
                Прикладным называется программист, программы которого предназначены для решения прикладной задачи,
                удовлетворяющей потребности конечного пользователя и, по замыслу классификации, лежащей вне компьютерной
                сферы. Системным называется программист, программы которого предназначены для обеспечения работы
                компьютера и используются другими компьютерными специалистами.
            </p>
        </div>

        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">История</h2>
            <div class="inline-block">
                [<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>


        <div><p>Возникновение программирования как рода занятий и, особенно, как профессиональной деятельности трудно
            датировать однозначно.
        </p>

            <p>Первым аналогом программируемого устройства были музыкальная шкатулка и шарманка, программа записывалась
                на
                вращающийся вал. Тот же принцип двоичной системы, как и на перфокарте: звук воспроизводился выступом на
                валу
                («кулачком»), нет выступа — нет звука, кроме того, шарманка предусматривала смену программ и имела 6-8
                запрограммированных мелодий.
            </p>

            <p>Первым программируемым устройством принято считать
                <a href="" class="without_underline link_color_blue">жаккардовый ткацкий станок</a>, построенный в 1804
                году
                <a href="" class="without_underline link_color_blue">Жозефом Мари Жаккаром</a>, который произвёл
                революцию в ткацкой промышленности, предоставив возможность
                программировать узоры на тканях при помощи перфокарт.
            </p>

            <p>Первое программируемое вычислительное устройство,
                <a href="" class="without_underline link_color_blue">Аналитическую машину</a>, разработал
                <a href="" class="without_underline link_color_blue">Чарльз Бэббидж</a> (но не
                смог её построить). <a href="" class="without_underline link_color_blue">19 июля 1843 года</a>
                графиня <a href="" class="without_underline link_color_blue">Ада Августа Лавлейс</a>,
                дочка великого английского поэта <a href="" class="without_underline link_color_blue">Джорджа
                    Байрона</a>, как принято считать, написала первую в истории человечества
                <a href="" class="without_underline link_color_blue">программу</a> для Аналитической машины. Эта
                программа решала <a href="" class="without_underline link_color_blue">уравнение Бернулли</a>, выражающее
                закон сохранения энергии движущейся жидкости.
            </p>

            <p>В своей первой и единственной научной работе Ада Лавлейс рассмотрела большое число вопросов. Ряд
                высказанных
                ею общих положений (принцип экономии рабочих
                <a href="" class="without_underline link_color_blue">ячеек памяти</a>, связь
                <a href="" class="without_underline link_color_blue">рекуррентных формул</a> с
                <a href="" class="without_underline link_color_blue">циклическими</a>
                процессами вычислений) сохранили своё принципиальное значение и для современного программирования. В
                материалах Бэббиджа и комментариях Лавлейс намечены такие понятия, как
                <a href="" class="without_underline link_color_blue">подпрограмма</a> и
                <a href="" class="without_underline link_color_blue">библиотека подпрограмм</a>,
                модификация <a href="" class="without_underline link_color_blue">команд</a> и
                <a href="" class="without_underline link_color_blue">индексный регистр</a>, которые стали
                употребляться только в 1950-х годах.
            </p>

            <p>
                Однако ни одна из программ, написанных Адой Лавлейс, никогда так и не была запущена.
            </p>

            <p>Аду Августу, графиню Лавлейс, принято считать почётным первым программистом (хотя, конечно, написание
                одной программы по современным меркам не может считаться родом занятий или профессиональной
                деятельностью). История сохранила её имя в названии универсального
                <a href="" class="without_underline link_color_blue">языка программирования «Ада»</a>.
            </p>

            <p>Первый работающий программируемый компьютер
                (<a href="" class="without_underline link_color_blue">1941 год</a>), первые программы для него, а также
                (с определёнными оговорками) первый язык программирования высокого уровня
                <a href="" class="without_underline link_color_blue">Планкалкюль</a> создал
                немецкий инженер <a href="" class="without_underline link_color_blue">Конрад Цузе</a>.
            </p>

            <p>Имена людей, впервые начавших профессионально выполнять работу собственно по программированию
                (в отрыве от наладки аппаратуры компьютера), история не сохранила, так как поначалу программирование
                рассматривалось как второстепенная наладочная операция.
            </p>
        </div>


        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Профессиональный праздник</h2>
            <div class="inline-block">
                [<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>

        <div>
            <p>В <a href="" class="without_underline link_color_blue">2009 году</a> в
                <a href="" class="without_underline link_color_blue">России</a> официально утверждён
                <a href="" class="without_underline link_color_blue">день программиста</a>, который ежегодно празднуется
                <a href="" class="without_underline link_color_blue">13 сентября</a>
                (в <a href="" class="without_underline link_color_blue">високосный год</a> —
                <a href="" class="without_underline link_color_blue">12 сентября</a>) — празднование Дня Программиста
                установлено на 256-й день года.
                <a href="" class="without_underline x-small_font link_color_blue">[5]</a> Это
                число не случайно: оно получается от возведения числа 2 в восьмую
                <a href="" class="without_underline link_color_blue">степень</a> и отражает количество различных
                значений, которое можно сохранять в одном
                <a href="" class="without_underline link_color_blue">байте</a>.
            </p>
        </div>


        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Интересные факты</h2>
            <div class="inline-block">
                [<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>

        <div class="margin_top_10px block_bottom">


            <div class="arrow_up">
                <img src="pics/50px-Arrange-boxes.svg.png">
            </div>

            <div class="boldtext">
                Этот раздел представляет собой неупорядоченный список разнообразных фактов о предмете статьи.
            </div>

            <div class="small_font">
                Пожалуйста, приведите информацию в энциклопедический вид и разнесите по соответствующим
                разделам статьи. Согласно решению
                <a href="" class="without_underline link_color_blue">Арбитражного комитета Википедии</a>, списки
                предпочтительно основывать на вторичных обобщающих
                <a href="" class="without_underline link_color_blue">авторитетных источниках</a>, содержащих критерий
                включения
                элементов в список. (9 августа 2017)
            </div>

        </div>

        <div>
            <ul>
                <li class="li_list_1"><span class="li_span_1">
                    Про программистов и <a href="" class="without_underline link_color_blue">хакеров</a>
                    есть много <a href="" class="without_underline link_color_blue">анекдотов</a>, в
                    которых высмеивается их оторванность от жизненных реалий и склонность следовать
                    <a href="" class="without_underline link_color_blue">алгоритмам</a> и в жизни
                    <a href="" class="without_underline x-small_font link_color_blue">[6]</a>.</span>
                </li>

                <li class="li_list_1"><span class="li_span_1">
                На ежегодно проводимом международном чемпионате по программированию
                    <a href="" class="without_underline link_color_blue">ACM ICPC</a> команды,
                представляющие российские и украинские вузы, традиционно занимают призовые места, а чемпионами
                становились в общей сложности больше шести раз
                    <a href="" class="without_underline x-small_font link_color_blue">[7][8][9]</a>.</span>
                </li>

                <li class="li_list_1"><span class="li_span_1">
                Профессия входит в список ТОП-50 самых востребованных профессий по версии Минтруда РФ
                    <a href="" class="without_underline x-small_font link_color_blue">[10]</a>.</span>
                </li>
            </ul>
        </div>

        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Примечания</h2>
            <div class="inline-block">
                [<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>

        <div>

            <div class="table_programmer_definition">
                <div>
                    <img align="center" src="pics/20px-Wiktionary-logo-ru.png">
                    <a href="" class="without_underline link_color_blue">программист</a> в Викисловаре
                </div>
                <div class="margin_top_10px">
                    <img align="center" src="pics/20px-Wikiquote-logo.svg.png">
                    <a href="" class="without_underline link_color_blue">Программист</a> в Викицитатнике
                </div>
                <div class="margin_top_10px">
                    <img align="center" src="pics/20px-Commons-logo.svg.png">
                    <a href="" class="without_underline link_color_blue">Программист</a> на Викискладе
                </div>
            </div>


            <ul>
                <li class="numbered_list"><span class="li_span_1">
                    ↑<a href="" class="without_underline link_color_blue">
                        Образовательный стандарт по направлению «Информатика и вычислительная техника» </a><img
                        src="pics/arrow.jpg"></span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑<a href="" class="without_underline link_color_blue">
                        Образовательный стандарт по направлению «Математическое обеспечение и администрирование информационных систем»</a><img
                        src="pics/arrow.jpg"></span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑<a href="" class="without_underline link_color_blue">
                        Образовательный стандарт по направлению «Программная инженерия»</a><img
                        src="pics/arrow.jpg"></span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑<a href="" class="without_underline link_color_blue">
                        Профессиональные стандарты в области ИТ</a><img src="pics/arrow.jpg">. Ассоциация предприятий компьютерных и информационных технологий. Проверено 20 марта 2010. <a
                        href="" class="without_underline link_color_blue">Архивировано</a><img src="pics/arrow.jpg"> 23 августа 2011 года.</span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑ <a href="" class="without_underline link_color_blue">Указ Президента РФ от 11 сентября 2009 г. N 1034 «О Дне программиста»</a><img
                        src="pics/arrow.jpg">. Гарант (11 сентября 2009). Проверено 23 мая 2011. <a href=""
                                                                                                    class="without_underline link_color_blue">Архивировано</a><img
                        src="pics/arrow.jpg"> 23 августа 2011 года.</span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑ Олег Леденев. <a href="" class="without_underline link_color_blue">Компьютерные анекдоты</a><img
                        src="pics/arrow.jpg">. ООО «Игромедиа». Проверено 1 ноября 2013. <a href=""
                                                                                            class="without_underline link_color_blue">Архивировано</a><img
                        src="pics/arrow.jpg"> 16 августа 2013 года.</span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑ Денис Легезо. <a href="" class="without_underline link_color_blue">Россия - снова чемпион мира по программированию</a><img
                        src="pics/arrow.jpg">. CNews:Бизнес (23 апреля 2009). Проверено 20 марта 2010. <a href=""
                                                                                                          class="without_underline link_color_blue">Архивировано</a><img
                        src="pics/arrow.jpg"> 23 августа 2011 года.</span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑ <a href="" class="without_underline link_color_blue">Официальная таблица результатов чемпионат мира по программированию ACM ICPC — 2010</a></span><img
                        src="pics/arrow.jpg"> (англ.). ICPC. Проверено 20 марта 2010.
                    <a href="" class="without_underline link_color_blue">Архивировано</a>
                    <img src="pics/arrow.jpg"> 23 августа 2011 года.
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑ Мейрамбек Жапаров. <a href="" class="without_underline link_color_blue">Пять российских и одна украинская команда стали призёрами Чемпионата Мира по программированию</a><img
                        src="pics/arrow.jpg">  (недоступная ссылка — <a href=""
                                                                        class="without_underline link_color_blue">история</a><img
                        src="pics/arrow.jpg">) (15 февраля 2010).</span>
                </li>

                <li class="numbered_list"><span class="li_span_1">
                    ↑ Алексей Казанцев. <a href="" class="without_underline link_color_blue">Топ-список 50 наиболее перспективных и востребованных профессий среднего образования в РФ по версии МинТруда</a><img
                        src="pics/arrow.jpg">. Хабрахабр (7 января 2016). Проверено 25 мая 2017.</span>
                </li>
            </ul>
        </div>


        <div class="border_bottom_programmist">
            <h2 class="inline-block marging-right_3px">Литература</h2>
            <div class="inline-block">
                [<a href="" class="without_underline link_color_blue">править</a> |
                <a href="" class="without_underline link_color_blue">править код</a>]
            </div>
        </div>


        <div>
            <ul>
                <li class="li_list_1"><span class="li_span_1"><a href="" class="without_underline link_color_blue">Ивановский С. А., Лисс А. Р., Романцев В. В., Экало А. В. Профессиональная подготовка программистов в рамках специальностей и направлений государственных образовательных стандартов<img
                        src="pics/arrow.jpg"></a></span></li>
                <li class="li_list_1"><span class="li_span_1"><a href="" class="without_underline link_color_blue">Государственный образовательный стандарт высшего профессионального образования. Государственные требования к минимуму содержания и уровню подготовки выпускника по специальности 220400 — Программное обеспечение вычислительной техники и автоматизированных систем<img
                        src="pics/arrow.jpg"></a></span></li>
                <li class="li_list_1"><span class="li_span_1"><a href="" class="without_underline link_color_blue">Приказ Минтруда РФ от 18.11.2013 г. N 679н "Об утверждении профессионального стандарта «Программист»<img
                        src="pics/arrow.jpg"></a></span></li>
            </ul>
        </div>


        <div class="margin_top_10px book_bottom">


            <div class="arrow_bottom">
                <img src="pics/48px-Question_book-4.svg.png">
            </div>

            <div class="boldtext">
                В этой статье не хватает <a href="" class="without_underline link_color_blue">ссылок на источники
                информации</a>.
            </div>

            <div class="small_font">
                Информация должна быть <a href="" class="without_underline link_color_blue">проверяема</a>, иначе она
                может быть поставлена под сомнение и удалена.
                Вы можете <a href="" class="without_underline link_color_blue">отредактировать</a> эту статью, добавив
                ссылки на <a href="" class="without_underline link_color_blue">авторитетные источники</a>.
                Эта отметка установлена 7 октября 2013 года.
            </div>

        </div>

        <div class="categories">
            <span style="padding-right: 300px">
                <a href="" class="without_underline link_color_blue">Категории</a>:
                <a href="" class="without_underline link_color_blue">Программисты</a> |
                <a href="" class="without_underline link_color_blue">Инженерные специальности</a>
            </span>
        </div>

    </div>

</div>


<div class="footer">

    <div>
        <p class="small_font">Эта страница последний раз была отредактирована 24 января 2018 в 14:02.</p>

        <p class="small_font">Текст доступен по
            <a href="" class="without_underline link_color_blue">лицензии Creative Commons Attribution-ShareAlike</a>; в
            отдельных случаях могут действовать дополнительные условия. Подробнее см.
            <a href="" class="without_underline link_color_blue">Условия использования</a>.<br>
            Wikipedia® — зарегистрированный товарный знак некоммерческой организации Wikimedia Foundation, Inc.</p>

        <p class="small_font"><a href="" class="without_underline link_color_blue">Свяжитесь с нами</a></p>

        <div style="float: right; padding-right: 10px;">
            <button><img align="center" src="pics/Wikimedia_Project.jpg"></button>
            <button><img align="center" src="pics/MediaWiki.jpg"></button>
        </div>

    </div>

    <div class="small_font">

        <div class="inline-block">
            <a href="" class="without_underline link_color_blue">Политика конфиденциальности</a>
        </div>

        <div class="inline-block">
            <a href="" class="without_underline link_color_blue mar">Описание Википедии</a>
        </div>

        <div class="inline-block">
            <a href="" class="without_underline link_color_blue">Отказ от ответственности</a>
        </div>

        <div class="inline-block">
            <a href="" class="without_underline link_color_blue">Разработчики</a>
        </div>

        <div class="inline-block">
            <a href="" class="without_underline link_color_blue">Соглашение о cookie</a>
        </div>

        <div class="inline-block">
            <a href="" class="without_underline link_color_blue">Мобильная версия</a>
        </div>

    </div>

</div>

</body>
</html>